Subject: [lmap] I-D Action: draft-ietf-lmap-framework-08.txt

From: [email-masked]
Date: Fri, 08 Aug 2014 08:58:26 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Large-Scale Measurement of Broadband Performance Working Group of the IETF.

        Title           : A framework for large-scale measurement platforms (LMAP)
        Authors         : Philip Eardley
                          Al Morton
                          Marcelo Bagnulo
                          Trevor Burbridge
                          Paul Aitken
                          Aamer Akhter
	Filename        : draft-ietf-lmap-framework-08.txt
	Pages           : 55
	Date            : 2014-08-08

Abstract:
   Measuring broadband service on a large scale requires a description
   of the logical architecture and standardisation of the key protocols
   that coordinate interactions between the components.  The document
   presents an overall framework for large-scale measurements.  It also
   defines terminology for LMAP (large-scale measurement platforms).

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lmap-framework/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-lmap-framework-08

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-lmap-framework-08

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: <[email-masked]>
Date: Fri, 8 Aug 2014 17:35:27 +0100

Hi,

I just submitted an update of the framework document. This updates with the clarifications requested in the recent WG last call and agreed during the Toronto meeting.

There aren't many changes compared with -07, you'll shortly be able to see them via the Diff link at http://tools.ietf.org/html/draft-ietf-lmap-framework  (html version of -08 not yet appeared)

I think there is only one technical change that wasn't discussed in Toronto. This results from working with Mike Bugenhagen about his comments. So we've added a couple of bits of text about "measurement point designations" (these were already mentioned in S8.6.2 (Mitigations .. Anonymity) but not earlier in the document) (background: they're discussed in http://tools.ietf.org/html/draft-ietf-ippm-lmap-path-05  which is in IETF last call)

In Instruction, add to Measurement Task configuration:
* optionally, the measurement point designation [I-D.ietf-ippm-lmap-path] of the MA and, if applicable, of the MP or other MA. This can be useful for reporting.

In S5.4 add to the list of what the Report contains:
* the measurement point designation of the MA and, if applicable, the MP or other MA, if the information was included in the Instruction. This numbering system is defined in [I-D.ietf-ippm-lmap-path] and allows a Measurement Report to describe abstractly the path measured (for example, "from a MA at a home gateway to a MA at a DSLAM"). Also, the MA can anonymise results by including measurement point designations instead of IP addresses (Section 8.6.2). 

I add the couple of small clarifications, following up Matt M's comment - as mentioned in http://www.ietf.org/mail-archive/web/lmap/current/msg01739.html  

I've also worked through all the editorial comments - thanks. I think I accounted for them all, except two:

Ken said
<< This comment applies to all of the figures - leave the detail in the message structures to the Information Model.>>
I didn't reduce the level of detail in the figures - think it's useful for the high-level protocol model to illustrate. I added a note:
<< (If there is any
   difference between this document and the Information Model, the
   latter is definitive, since it is on the standards track.)  >>

Juergen said
<< Section 8.4.4 .. It is not clear why a detailed figure is needed here.>>
We thought this it was worth keeping, as it's the high-level protocol model picture (and RFC4101 encourages pictures)  

Best wishes
phil
> -----Original Message-----
> From: lmap [mailto:[email-masked]] On Behalf Of internet-
> [email-masked]
> Sent: 08 August 2014 16:58
> To: [email-masked]
> Cc: [email-masked]
> Subject: [lmap] I-D Action: draft-ietf-lmap-framework-08.txt
> 
> 
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
> 
> _______________________________________________
> lmap mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lmap